Path Names
Description: C source code API documentation for the Oyranos project.
Keywords: Oyranos,Color Management,Color Management,ICC,CMS,C,doxygen,API,documentation

| Oyranos Color Management System API - Version 0.9.6

Macros | Enumerations | Functions
Path Names
Miscellaneous

Access to data path names for Installation. More...

Collaboration diagram for Path Names:

## Macros
#define | oySCOPE_OYRANOS 0x04
#define | oySCOPE_MACHINE 0x08

## Enumerations
enum | oyPATH_TYPE_e { , oyPATH_ICC = 0x01, oyPATH_POLICY = 0x02, oyPATH_MODULE = 0x04 }
| data type selectors More...
enum | oySCOPE_e { oySCOPE_USER_SYS = 0x0, oySCOPE_USER = 0x01, oySCOPE_SYSTEM = 0x02 }
| Select Scope for Installation or Configurations. More...

## Functions
char * | oyGetInstallPath (oyPATH_TYPE_e type, oySCOPE_e scope, oyAlloc_f allocFunc)
| get Path Name for Installation More...

## Detailed Description

Access to data path names for Installation.

The obtained informations can be used outside Oyranos, to do system specific operations, which do not easily fit into the library.

## Macro Definition Documentation

## ◆ oySCOPE_MACHINE

#define oySCOPE_MACHINE 0x08

use machine data scope

## ◆ oySCOPE_OYRANOS

#define oySCOPE_OYRANOS 0x04

use Oyranos installation data scope

## Enumeration Type Documentation

## ◆ oyPATH_TYPE_e

enum oyPATH_TYPE_e

data type selectors

Enumerator
oyPATH_ICC | ICC profile path
oyPATH_POLICY | policy data
oyPATH_MODULE | module data

## ◆ oySCOPE_e

enum oySCOPE_e

Select Scope for Installation or Configurations.

Enumerator
oySCOPE_USER_SYS | do not limit search to one scope
oySCOPE_USER | use user data scope
oySCOPE_SYSTEM | use system data scope

## Function Documentation

## ◆ oyGetInstallPath()

char * oyGetInstallPath | ( | oyPATH_TYPE_e | type,
|  | oySCOPE_e | scope,
|  | oyAlloc_f | allocFunc
| ) |  |

get Path Name for Installation

Note: Not all combinations return a path name. Some make no sense. So be careful and test the result. The returned paths are absolute.

oyPATH_MODULE + oySCOPE_USER and oyPATH_MODULE + oySCOPE_OYRANOS are supported. ::oyPATH_SCRIPT gives no result at all.

Version
  Oyranos: 0.9.6

Date
  2016/03/16

Since
  2015/02/08 (Oyranos: 0.9.6)

References oyPATH_ICC, and oySCOPE_USER.